<?php
namespace Internetgalerie\IgRender\ViewHelpers\FlashMessage;

use TYPO3Fluid\Fluid\Core\Rendering\RenderingContextInterface;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;
use TYPO3\CMS\Core\Messaging\FlashMessage;
use TYPO3\CMS\Core\Messaging\Renderer\BootstrapRenderer;

class ClassViewHelper extends AbstractViewHelper
{
    /**
     * @var string The message severity class names
     */
    protected static $classes = [
        FlashMessage::NOTICE => 'notice',
        FlashMessage::INFO => 'info',
        FlashMessage::OK => 'success',
        FlashMessage::WARNING => 'warning',
        FlashMessage::ERROR => 'danger'
    ];

    public function initializeArguments()
    {
        $this->registerArgument('flashMessage', FlashMessage::class, 'The flashMessage to output the class for', true);
    }

    public static function renderStatic(
        array $arguments,
        \Closure $renderChildrenClosure,
        RenderingContextInterface $renderingContext
    ) {
        $flashMessage = $arguments['flashMessage'];

        return 'alert-' . self::$classes[$flashMessage->getSeverity()];
    }
}
